light-mode-image
Learn
API ReferenceWebhooks

Create Webhook

Roles

adminissuermanaged-issuer

Analytics Events

WEBHOOK_CREATE_STARTWEBHOOK_CREATE_SUCCESSWEBHOOK_CREATE_FAIL
POST/v1/webhooks

Creates a new webhook for this tenant.

Analytic events

  • WEBHOOK_CREATE_START
  • WEBHOOK_CREATE_SUCCESS
  • WEBHOOK_CREATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

The webhook payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/webhooks" \  -H "Content-Type: application/json" \  -d '{    "events": [      "OpenIdCredentialIssued"    ],    "url": "https://example.com"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "events": [    "string"  ],  "url": "http://example.com",  "disabled": false}

How would you rate this page?